"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var common_1 = require("@angular/common");
var http_1 = require("@angular/common/http");
var focus_register_directive_1 = require("./directive/focus-register.directive");
var pipe_1 = require("./pipe");
var component_1 = require("./component");
var shared_1 = require("primeng/components/common/shared");
var calendar_1 = require("primeng/components/calendar/calendar");
var dropdown_1 = require("primeng/components/dropdown/dropdown");
var editor_1 = require("primeng/components/editor/editor");
var multiselect_1 = require("primeng/components/multiselect/multiselect");
var paginator_1 = require("primeng/components/paginator/paginator");
var checkbox_1 = require("primeng/components/checkbox/checkbox");
var radiobutton_1 = require("primeng/components/radiobutton/radiobutton");
var datatable_1 = require("primeng/components/datatable/datatable");
var tabview_1 = require("primeng/components/tabview/tabview");
var dialog_1 = require("primeng/components/dialog/dialog");
var accordion_1 = require("primeng/components/accordion/accordion");
var autocomplete_1 = require("primeng/components/autocomplete/autocomplete");
var inputswitch_1 = require("primeng/components/inputswitch/inputswitch");
var tooltip_1 = require("primeng/components/tooltip/tooltip");
var overlaypanel_1 = require("primeng/components/overlaypanel/overlaypanel");
var messages_1 = require("primeng/components/messages/messages");
var menu_1 = require("primeng/components/menu/menu");
var menubar_1 = require("primeng/components/menubar/menubar");
var megamenu_1 = require("primeng/components/megamenu/megamenu");
var growl_1 = require("primeng/components/growl/growl");
var SharedModule = /** @class */ (function () {
    function SharedModule() {
    }
    SharedModule = __decorate([
        core_1.NgModule({
            imports: [
                common_1.CommonModule,
                forms_1.ReactiveFormsModule,
                forms_1.FormsModule,
                http_1.HttpClientModule,
                calendar_1.CalendarModule,
                dropdown_1.DropdownModule,
                editor_1.EditorModule,
                multiselect_1.MultiSelectModule,
                paginator_1.PaginatorModule,
                checkbox_1.CheckboxModule,
                radiobutton_1.RadioButtonModule,
                datatable_1.DataTableModule,
                tabview_1.TabViewModule,
                dialog_1.DialogModule,
                menu_1.MenuModule,
                megamenu_1.MegaMenuModule,
                menubar_1.MenubarModule,
                growl_1.GrowlModule,
                shared_1.SharedModule,
                accordion_1.AccordionModule,
                autocomplete_1.AutoCompleteModule,
                inputswitch_1.InputSwitchModule,
                tooltip_1.TooltipModule,
                overlaypanel_1.OverlayPanelModule,
                messages_1.MessagesModule
            ],
            declarations: [
                focus_register_directive_1.FocusRegisterDirective,
                component_1.BitDialogComponent,
                component_1.BitNotificationComponent,
                component_1.BitNotificationFrontComponent,
                component_1.BitControlMessages,
                component_1.BitBotonAyudaComponent,
                component_1.BitInputComponent,
                component_1.BitEditorComponent,
                component_1.BitSelectComponent,
                component_1.BitSelectMultipleComponent,
                component_1.BitDomainValueComponent,
                component_1.BitColumnBooleanComponent,
                component_1.BitFooterComponent,
                pipe_1.CapitalizePipe,
                pipe_1.OtherToolbarActionPipe,
                pipe_1.RemoveLineBreaksPipe,
                pipe_1.PipeCantidadMoneda,
                component_1.BitHeaderComponent,
                component_1.BitToolbarComponent,
                component_1.BitBreadCrumbComponent,
                component_1.BitLoadingComponent,
                component_1.BitUploadComponent,
                component_1.BitFormUploadComponent,
                component_1.BitHelpComponent,
                component_1.BitUserControlsComponent,
                component_1.BitStoreBreadCrumbComponent,
                component_1.BitStoreHeaderComponent,
                component_1.BitStoreFooterComponent,
                component_1.BitStoreToolbarComponent
            ],
            exports: [
                focus_register_directive_1.FocusRegisterDirective,
                common_1.CommonModule,
                forms_1.ReactiveFormsModule,
                forms_1.FormsModule,
                http_1.HttpClientModule,
                component_1.BitDialogComponent,
                component_1.BitNotificationComponent,
                component_1.BitNotificationFrontComponent,
                component_1.BitControlMessages,
                component_1.BitBotonAyudaComponent,
                component_1.BitInputComponent,
                component_1.BitEditorComponent,
                component_1.BitSelectComponent,
                component_1.BitSelectMultipleComponent,
                component_1.BitDomainValueComponent,
                component_1.BitColumnBooleanComponent,
                component_1.BitFooterComponent,
                pipe_1.CapitalizePipe,
                pipe_1.OtherToolbarActionPipe,
                pipe_1.RemoveLineBreaksPipe,
                pipe_1.PipeCantidadMoneda,
                component_1.BitHeaderComponent,
                component_1.BitToolbarComponent,
                component_1.BitBreadCrumbComponent,
                component_1.BitLoadingComponent,
                component_1.BitUploadComponent,
                component_1.BitFormUploadComponent,
                component_1.BitHelpComponent,
                calendar_1.CalendarModule,
                dropdown_1.DropdownModule,
                editor_1.EditorModule,
                multiselect_1.MultiSelectModule,
                paginator_1.PaginatorModule,
                checkbox_1.CheckboxModule,
                radiobutton_1.RadioButtonModule,
                datatable_1.DataTableModule,
                tabview_1.TabViewModule,
                dialog_1.DialogModule,
                shared_1.SharedModule,
                accordion_1.AccordionModule,
                autocomplete_1.AutoCompleteModule,
                inputswitch_1.InputSwitchModule,
                tooltip_1.TooltipModule,
                overlaypanel_1.OverlayPanelModule,
                messages_1.MessagesModule,
                menu_1.MenuModule,
                megamenu_1.MegaMenuModule,
                menubar_1.MenubarModule,
                growl_1.GrowlModule,
                component_1.BitUserControlsComponent,
                component_1.BitStoreBreadCrumbComponent,
                component_1.BitStoreHeaderComponent,
                component_1.BitStoreFooterComponent,
                component_1.BitStoreToolbarComponent
            ]
        })
    ], SharedModule);
    return SharedModule;
}());
exports.SharedModule = SharedModule;
//# sourceMappingURL=shared.module.js.map